;;; -*- mode: lisp; encoding: (utf-8); package: (:midi) -*-

(defun xml-test (path dtd-path)
  (flet (
         (resolver (pubid sysid)
           (declare (ignorable pubid sysid))
           (open dtd-path :element-type '(unsigned-byte 8))
           )
         )
  
    (klacks:with-open-source
        (s (cxml:make-source path :validate t :entity-resolver #'resolver))
      (loop for key = (klacks:peek s) while key do
            (case key
              (:start-element
               (format t ":start-element ~a~%" (klacks:current-qname s))
               )
              (:end-element
               (format t ":end-element ~a~%" (klacks:current-qname s))
               )
              (t
               (format t "key: ~a~%" key)
               )
              )

            (klacks:consume s)
            )
      )

    )
  )
